Bug 519515 - Modem "Locks" in Incorrect State During Operating System Boot
Modem "Locks" in Incorrect State During Operating System Boot
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
13
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F12Target 530220
  Show dependency treegraph
 
Reported: 2009-08-26 17:58 EDT by David Le Sage
Modified: 2011-06-27 10:21 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 10:21:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg log, for debugging purposes. (28.85 KB, text/plain)
2009-08-27 06:48 EDT, David Le Sage
no flags Details

  None (edit)
Description David Le Sage 2009-08-26 17:58:45 EDT
Description of problem:
I have begun some testing of Fedora 12 Alpha on a machine with a generic USB dial-up modem attached to /dev/ttyUSB0.  During the boot process, the modem switches to a "terminal ready" state (indicated by the lights on the piece of hardware). This state does not deactivate. Could this be a problem with a kernel module or a daemon???

If one then logs into GNOME or KDE and attempts to dial-up via kppp, they cannot do so as the modem is logged.  Physically unplugging and re-plugging in the modem does not fix the problem as it goes back to the "terminal ready" state each time.


Version-Release number of selected component (if applicable):
Fedora 12 alpha straight from DVD (no post-install yum updates.)

How reproducible:
Yes.  Each time.

Steps to Reproduce:
1. Undertake a fresh install of the Fedora 12 alpha from DVD. Include KDE and kppp as part of install but otherwise, make it generic.
2. Reboot machine with generic dial-up modem plugged into /dev/ttyUSB0
3. During boot process, observe that modem "terminal ready" light suddenly activates.  It does NOT subsequently switch off.
4. Log into GNOME or KDE.
5. Launch kppp and try to dial-up.
  
Actual results:
Dial-up will not work. User cannot connect to the internet at all.

Expected results:
kppp should activate modem which should dial up to connect to ISP.

Additional info:
Work-around:  Physically unplug modem before booting computer.  Only plug it in once you have logged into GNOME/KDE and you are about to use kppp.  It will then dial-in normally.

I tried this with selinux switched off, due to the fact that I also encountered a permissions error using kppp, as someone else reported here:

https://bugzilla.redhat.com/show_bug.cgi?id=513941
Comment 1 David Le Sage 2009-08-27 06:48:50 EDT
Created attachment 358844 [details]
dmesg log, for debugging purposes.
Comment 2 David Le Sage 2009-10-22 18:00:37 EDT
People, 


I have been testing the Fedora 12 Beta and I can confirm that this is still a problem.  Given the way that the USB modem locks up, rendering it unusable unless one is aware of the workaround, this issue really needs to be investigated and resolved as soon as possible.


Thanks,



David
Comment 3 David Le Sage 2009-10-22 20:54:17 EDT
This is my other "show-stopper."  Is it likely that the two are related?


https://bugzilla.redhat.com/show_bug.cgi?id=519516
Comment 4 Bug Zapper 2010-03-15 08:47:47 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 13 development cycle.
Changing version to '13'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2011-06-02 13:47:41 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2011-06-27 10:21:51 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.